<%@ page language="C#" masterpagefile="~/MasterFile/TimeCheck.master" autoeventwireup="true" inherits="Organization_Settings_Organization_LeaveSettingsDepartment, App_Web_mvjcqm0m" %>

<asp:Content ID="Content1" ContentPlaceHolderID="BodyContentPH" runat="Server">
    <div class="content-header">
        <h1 style="background-image: url('../dist/img/LeaveSettings.png'); background-repeat: no-repeat; padding-left: 35px">
            <asp:Label ID="lbl_Header" runat="server" Text="Leave Settings - Departments"></asp:Label>
        </h1>
        <asp:SiteMapPath ID="site" runat="server" CssClass="breadcrumb">
            <NodeStyle CssClass="active" />
        </asp:SiteMapPath>
    </div>
    <div class="content">
        <div class="inr-ftr">
            <div class="row" style="min-height: 30px">
                <asp:Label ID="lblError" runat="server" ForeColor="Red"></asp:Label>
            </div>
        </div>
        <div class="emp-filter">
            <div class="form-horizontal">
                <div class="row">
                    <div class="col-md-12" style="overflow: auto; padding-bottom: 15px;">
                        <div style="min-width: 700px">
                            <asp:GridView ID="grv_Departments" runat="server" AutoGenerateColumns="False" AutoGenerateEditButton="True"
                                AllowPaging="False" CssClass="table das-table1" AllowSorting="False" DataSourceID="ObjectDataSource1"
                                PageSize="10" CellPadding="4" OnRowCancelingEdit="grv_Departments_RowCancelingEdit"
                                OnRowEditing="grv_Departments_RowEditing" OnRowUpdating="grv_Departments_RowUpdating"
                                OnRowDataBound="grv_Departments_RowDataBound">
                                <Columns>
                                    <asp:TemplateField HeaderText="Addl Weekoff Id" Visible="False">
                                        <ItemTemplate>
                                            <asp:Label ID="lblLevelId" Text='<%# Eval("Id") %>' runat="server"></asp:Label>
                                        </ItemTemplate>
                                    </asp:TemplateField>
                                    <asp:TemplateField HeaderText="Department Name" SortExpression="Name">
                                        <ItemTemplate>
                                            <asp:Label ID="lblCompanyname" Text='<%# Eval("Name") %>' runat="server">
                                            </asp:Label>
                                        </ItemTemplate>
                                    </asp:TemplateField>
                                    <asp:TemplateField HeaderText="To Mail Ids" SortExpression="ToMaildIds">
                                        <ItemTemplate>
                                            <asp:Label ID="lblToMaildIds" Text='<%# Eval("ToMailIds") %>' runat="server">
                                            </asp:Label>
                                        </ItemTemplate>
                                        <EditItemTemplate>
                                            <asp:TextBox ID="txt_ToMaildIds" runat="server" TextMode="MultiLine" MaxLength="4000"
                                                Text='<%# Bind("ToMailIds") %>' CssClass="form-control" Style="resize: none;"></asp:TextBox>
                                            <asp:RegularExpressionValidator ID="regToMailIds" runat="server" ControlToValidate="txt_ToMaildIds"
                                                Display="None" ErrorMessage="Enter Valid Email Id" ValidationExpression="^(([a-zA-Z0-9_\-\.]+)@([a-zA-Z0-9_\-\.]+)\.([a-zA-Z]{2,5}){1,25})+([;.](([a-zA-Z0-9_\-\.]+)@([a-zA-Z0-9_\-\.]+)\.([a-zA-Z]{2,5}){1,25})+)*$"></asp:RegularExpressionValidator>
                                        </EditItemTemplate>
                                    </asp:TemplateField>
                                    <asp:TemplateField HeaderText="CC Mail Ids" SortExpression="CCMailIds">
                                        <ItemTemplate>
                                            <asp:Label ID="lblCCMailIds" Text='<%# Eval("CCMailIds") %>' runat="server">
                                            </asp:Label>
                                        </ItemTemplate>
                                        <EditItemTemplate>
                                            <asp:TextBox ID="txt_CCMaildIds" TextMode="MultiLine" runat="server" MaxLength="4000"
                                                Text='<%# Bind("CCMailIds") %>' CssClass="form-control" Style="resize: none;"></asp:TextBox>
                                            <asp:RegularExpressionValidator ID="regCCMailIds" runat="server" ControlToValidate="txt_CCMaildIds"
                                                Display="None" ErrorMessage="Enter Valid Email Id" ValidationExpression="^(([a-zA-Z0-9_\-\.]+)@([a-zA-Z0-9_\-\.]+)\.([a-zA-Z]{2,5}){1,25})+([;.](([a-zA-Z0-9_\-\.]+)@([a-zA-Z0-9_\-\.]+)\.([a-zA-Z]{2,5}){1,25})+)*$"></asp:RegularExpressionValidator>
                                        </EditItemTemplate>
                                    </asp:TemplateField>
                                </Columns>
                                <HeaderStyle CssClass="empheader" />
                                <RowStyle Height="30px" CssClass="table-bg" BorderColor="#C5DFFC" />
                                <PagerStyle Font-Overline="False" HorizontalAlign="Right" CssClass="GridPager" />
                                <PagerSettings FirstPageText="<<" LastPageText=">>" Mode="NumericFirstLast" NextPageText=">"
                                    PreviousPageText="<" />
                                <AlternatingRowStyle BackColor="white" />
                            </asp:GridView>
                        </div>
                    </div>
                </div>
                <div class="row" style="display: none;">
                    <div class="col-md-12">
                        <div class="pull-right-button">
                            <asp:LinkButton ID="btn_Cancel" CssClass="btn save-btn fa-angle-left" runat="server"
                                Text="&nbsp;&nbsp;Back" CausesValidation="false" OnClick="btn_Cancel_Click" />
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</asp:Content>
