<%@ page language="C#" masterpagefile="~/MasterFile/TimeCheck.master" autoeventwireup="true" inherits="Transactions_TA_UI_Transaction_NonProcessedData, App_Web_r3spewoc" %>

<%@ Register TagPrefix="dxGridview" Namespace="DevExpress.Web" Assembly="DevExpress.Web.v14.2" %>
<%@ Register Assembly="DevExpress.Web.v14.2" Namespace="DevExpress.Web"
    TagPrefix="devxEditors" %>
<asp:Content ID="Content1" ContentPlaceHolderID="BodyContentPH" runat="Server">
    <div class="content-header">
        <h1>
            <asp:Label ID="Label6" runat="server">Non Processed Data</asp:Label>
        </h1>
        <asp:SiteMapPath ID="site" runat="server" CssClass="breadcrumb">
            <NodeStyle CssClass="active" />
        </asp:SiteMapPath>
    </div>
    <div class="content">
        <div class="box box-danger">
            <div class="panel panel-default">
                <div class="panel-heading">
                    Below Employees are not created in Employee master
                </div>
                <div class="panel-body">
                    <div id="div1">
                        <div class="row">
                            <div class="col-md-12">
                                <dxGridview:ASPxGridView ID="grvEmp" EnableCallBacks="false" runat="server" ClientInstanceName="GridView1"
                                    AutoGenerateColumns="false" Width="100%">
                                    <Columns>
                                        <dxGridview:GridViewDataTextColumn Caption="Employee Id" FieldName="CLK_CARDID" VisibleIndex="1"
                                            Width="190px">
                                            <DataItemTemplate>
                                                <asp:Label ID="lblempid" runat="server" Text=' <%# Eval("CLK_CARDID")%>'></asp:Label>
                                            </DataItemTemplate>
                                            <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                        </dxGridview:GridViewDataTextColumn>
                                        <dxGridview:GridViewDataTextColumn Caption="Total Records Pending" VisibleIndex="2">
                                            <DataItemTemplate>
                                                <asp:Label ID="lblTotRecords" runat="server" Text=' <%# Eval("TotalRecords")%>'></asp:Label>
                                            </DataItemTemplate>
                                            <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                        </dxGridview:GridViewDataTextColumn>
                                    </Columns>
                                    <SettingsPager PageSize="5">
                                    </SettingsPager>
                                    <SettingsText EmptyDataRow="No Records Found" />
                                    <SettingsBehavior SortMode="Value" AllowSort="false" AllowDragDrop="false" />
                                    <Styles AlternatingRow-CssClass="table-bg">
                                    </Styles>
                                </dxGridview:ASPxGridView>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="box box-success">
            <div class="panel panel-default">
                <div class="panel-heading">
                    Below Terminals are not created in Terminal master
                </div>
                <div class="panel-body">
                    <dxGridview:ASPxGridView ID="grvTerm" EnableCallBacks="false" runat="server" ClientInstanceName="GridView1"
                        AutoGenerateColumns="false" Width="100%">
                        <Columns>
                            <dxGridview:GridViewDataTextColumn Caption="Terminal Id" VisibleIndex="1" Width="190px">
                                <DataItemTemplate>
                                    <asp:Label ID="lblDeviceID" runat="server" Text=' <%# Eval("CLK_DEVICEID")%>'></asp:Label>
                                </DataItemTemplate>
                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                            </dxGridview:GridViewDataTextColumn>
                            <dxGridview:GridViewDataTextColumn Caption="Total Records Pending" VisibleIndex="2">
                                <DataItemTemplate>
                                    <asp:Label ID="Label2" runat="server" Text=' <%# Eval("TotalRecords")%>'></asp:Label>
                                </DataItemTemplate>
                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                            </dxGridview:GridViewDataTextColumn>
                        </Columns>
                        <SettingsPager PageSize="5">
                        </SettingsPager>
                        <SettingsText EmptyDataRow="No Records Found" />
                        <SettingsBehavior SortMode="Value" AllowSort="false" AllowDragDrop="false" />
                        <Styles AlternatingRow-CssClass="table-bg">
                        </Styles>
                    </dxGridview:ASPxGridView>
                </div>
            </div>
        </div>
        <div class="box box-info">
            <div class="panel panel-default">
                <div class="panel-heading">
                    Punch types are not created for the below terminals
                </div>
                <div class="panel-body">
                    <dxGridview:ASPxGridView ID="grvTermPunch" EnableCallBacks="false" runat="server"
                        ClientInstanceName="GridView1" AutoGenerateColumns="false" Width="100%">
                        <Columns>
                            <dxGridview:GridViewDataTextColumn Caption="Terminal id" VisibleIndex="1" Width="190px">
                                <DataItemTemplate>
                                    <asp:Label ID="lblTerId" runat="server" Text=' <%# Eval("CLK_DEVICEID")%>'></asp:Label>
                                </DataItemTemplate>
                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                            </dxGridview:GridViewDataTextColumn>
                            <dxGridview:GridViewDataTextColumn Caption="Total Records Pending" VisibleIndex="2">
                                <DataItemTemplate>
                                    <asp:Label ID="Label3" runat="server" Text=' <%# Eval("TotalRecords")%>'></asp:Label>
                                </DataItemTemplate>
                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                            </dxGridview:GridViewDataTextColumn>
                        </Columns>
                        <SettingsPager PageSize="5">
                        </SettingsPager>
                        <SettingsText EmptyDataRow="No Records Found" />
                        <SettingsBehavior SortMode="Value" AllowSort="false" AllowDragDrop="false" />
                        <Styles AlternatingRow-CssClass="table-bg">
                        </Styles>
                    </dxGridview:ASPxGridView>
                </div>
            </div>
        </div>
        <div class="box box-warning">
            <div class="panel panel-default">
                <div class="panel-heading">
                    Shift is not allocated for the below Employees
                </div>
                <div class="panel-body">
                    <div class="row">
                        <div class="col-md-12">
                            <dxGridview:ASPxGridView ID="grvEmpShift" EnableCallBacks="false" runat="server"
                                ClientInstanceName="GridView1" AutoGenerateColumns="false" Width="100%">
                                <Columns>
                                    <dxGridview:GridViewDataTextColumn Caption="Employee Id" VisibleIndex="1" Width="190px">
                                        <DataItemTemplate>
                                            <asp:Label ID="Label4" runat="server" Text=' <%# Eval("CLK_CARDID")%>'></asp:Label>
                                        </DataItemTemplate>
                                        <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                    </dxGridview:GridViewDataTextColumn>
                                    <dxGridview:GridViewDataTextColumn Caption="Total Records Pending" VisibleIndex="2">
                                        <DataItemTemplate>
                                            <asp:Label ID="Label5" runat="server" Text=' <%# Eval("TotalRecords")%>'></asp:Label>
                                        </DataItemTemplate>
                                        <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                    </dxGridview:GridViewDataTextColumn>
                                </Columns>
                                <SettingsPager PageSize="5">
                                </SettingsPager>
                                <SettingsText EmptyDataRow="No Records Found" />
                                <SettingsBehavior SortMode="Value" AllowSort="false" AllowDragDrop="false" />
                                <Styles AlternatingRow-CssClass="table-bg">
                                </Styles>
                            </dxGridview:ASPxGridView>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</asp:Content>
