﻿<%@ page language="C#" masterpagefile="~/MasterFile/TimeCheck.master" autoeventwireup="true" inherits="Transactions_TA_UI_Transactions_View, App_Web_hchaxze0" %>

<%@ Register TagPrefix="dxGridview" Namespace="DevExpress.Web" Assembly="DevExpress.Web.v14.2" %>
<asp:Content ID="ConLeaveTransactionsView" ContentPlaceHolderID="BodyContentPH" runat="Server">

    <script src="../plugins/datepicker/jquery-1.11.1.min.js"></script>

    <script language="javascript" src="../js/jquery.autocomplete.js" type="text/javascript"></script>

    <script src="../plugins/datepicker/bootstrap-datepicker.js"></script>

    <script type="text/javascript">
        $(function () {
            $('#ctl00_BodyContentPH_txtFromDate').datetimepicker({ format: document.getElementById('ctl00_BodyContentPH_Hidden1').value }
            );
        });
        $(function () {
            $('#ctl00_BodyContentPH_txtToDate').datetimepicker({ format: document.getElementById('ctl00_BodyContentPH_Hidden1').value }
            );
        });
    </script>

    <div class="content-header">
        <h1 style="background-image: url('../dist/img/lve-san.png'); background-repeat: no-repeat; padding-left: 35px">
            <asp:Label ID="lbl_Header" runat="server"></asp:Label>
        </h1>
        <asp:SiteMapPath ID="site" runat="server" CssClass="breadcrumb">
            <NodeStyle CssClass="active" />
        </asp:SiteMapPath>
    </div>
    <div class="content">
        <div class="emp-filter">
            <div class="form-horizontal">
                <div class="row form-group">
                    <div class="col-md-12">
                        <div class="table-responsive" style="padding-bottom: 10px">
                            <asp:HiddenField ID="hdnSelectRow" runat="server" />
                            <asp:HiddenField ID="hdnGetAllid" runat="server" />
                            <dxGridview:ASPxGridView ID="gdLeaveSanctionView" runat="server" ClientInstanceName="gdLeaveSanctionView"
                                EnableCallBacks="false" AutoGenerateColumns="false" Width="100%">
                                <Columns>
                                    <dxGridview:GridViewDataTextColumn Caption="Application Date" FieldName="employeeid"
                                        VisibleIndex="0" Width="120px">
                                        <Settings AllowDragDrop="False" />
                                        <DataItemTemplate>
                                            <asp:Label ID="lblempid" Text='<%# Eval("employeeid") %>' Style="cursor: pointer; overflow-y: auto; overflow-x: auto; word-break: break-all; width: 160px; word-wrap: break-word; display: inline-block;"
                                                runat="server"></asp:Label>
                                        </DataItemTemplate>
                                        <HeaderStyle HorizontalAlign="center" Wrap="true" CssClass="empheader" />
                                    </dxGridview:GridViewDataTextColumn>
                                    <dxGridview:GridViewDataTextColumn Caption="Application Date" FieldName="Employee_FirstName"
                                        VisibleIndex="1" Width="250px">
                                        <Settings AllowDragDrop="False" />
                                        <DataItemTemplate>
                                            <asp:Label ID="AppDate1" Text='<%# Eval("Employee_FirstName") %>' Style="cursor: pointer; overflow-y: auto; overflow-x: auto; word-break: break-all; width: 160px; word-wrap: break-word; display: inline-block;"
                                                runat="server"></asp:Label>
                                        </DataItemTemplate>
                                        <HeaderStyle HorizontalAlign="center" Wrap="true" CssClass="empheader" />
                                    </dxGridview:GridViewDataTextColumn>
                                    <dxGridview:GridViewDataTextColumn Caption="Application Date" FieldName="Leave_ApplicationDate"
                                        VisibleIndex="2" Width="200px">
                                        <Settings AllowDragDrop="False" />
                                        <DataItemTemplate>
                                            <asp:Label ID="Label1" runat="server" Text='<%# Bind("Leave_ApplicationDate") %>'
                                                Style="overflow-y: auto; overflow-x: auto; word-break: break-all; width: 80px; word-wrap: break-word; display: inline-block;"></asp:Label>
                                        </DataItemTemplate>
                                        <HeaderStyle HorizontalAlign="center" Wrap="true" CssClass="empheader" />
                                    </dxGridview:GridViewDataTextColumn>
                                    <dxGridview:GridViewDataTextColumn FieldName="Duration" VisibleIndex="3" Width="180px">
                                        <Settings AllowAutoFilter="false" AllowDragDrop="false" />
                                        <DataItemTemplate>
                                            <asp:Label ID="Label3" runat="server" Text='<%# Bind("Duration") %>'></asp:Label>
                                        </DataItemTemplate>
                                        <HeaderStyle HorizontalAlign="center" Wrap="true" CssClass="empheader" />
                                    </dxGridview:GridViewDataTextColumn>
                                    <dxGridview:GridViewDataTextColumn FieldName="Status" VisibleIndex="4" Width="80px">
                                        <Settings AllowDragDrop="False" />
                                        <DataItemTemplate>
                                            <asp:Label ID="Label2" runat="server" Text='<%# Bind("Status") %>'></asp:Label>
                                        </DataItemTemplate>
                                        <HeaderStyle HorizontalAlign="center" Wrap="true" CssClass="empheader" />
                                    </dxGridview:GridViewDataTextColumn>
                                    <dxGridview:GridViewDataColumn HeaderStyle-VerticalAlign="Middle" HeaderStyle-HorizontalAlign="Center"
                                        CellStyle-VerticalAlign="Middle" CellStyle-HorizontalAlign="Center" Width="40px">
                                        <Settings AllowAutoFilter="false" />
                                        <DataItemTemplate>
                                            <a data-toggle="modal" title='<%# Session["View"] %>' href="TA_UI_Transactions_LeaveSanctionModify.aspx?page=single&LeaveApplication_Id=<%# Eval("LeaveApplication_Id") %>&Status=<%# Eval("Status") %>">
                                                <span class="btn btn-defalut edit-icons"></span></a>
                                        </DataItemTemplate>
                                        <HeaderStyle HorizontalAlign="center" Wrap="true" CssClass="empheader" />
                                    </dxGridview:GridViewDataColumn>
                                </Columns>
                                <SettingsPager PageSize="10">
                                </SettingsPager>
                                <SettingsText EmptyDataRow="No Records Found" />
                                <Settings ShowFilterRow="true" />
                                <SettingsBehavior SortMode="Value" AllowSort="true" AllowDragDrop="true" />
                                <Styles AlternatingRow-CssClass="table-bg">
                                </Styles>
                            </dxGridview:ASPxGridView>
                        </div>
                    </div>
                </div>
                <div class="row" style="margin-bottom: 0px">
                    <div class="col-md-12">
                        <div class="pull-right-button">
                            <asp:LinkButton ID="btnBack" runat="server" CssClass="btn save-btn fa-angle-left"
                                OnClick="btnBack_Click" />
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <script type="text/javascript">
        function OnInit(s, e) {

            AdjustSize();
        }
        function OnEndCallback(s, e) {
            AdjustSize();
        }

        function AdjustSize() {

            var height = Math.max(0, document.documentElement.clientHeight);
            var width = Math.max(0, document.documentElement.clientWidth);
            grid.SetHeight(height);
        }

    </script>

</asp:Content>
