-- ================================================
-- Template generated from Template Explorer using:
-- Create Procedure (New Menu).SQL
--
-- Use the Specify Values for Template Parameters 
-- command (Ctrl-Shift-M) to fill in the parameter 
-- values below.
--
-- This block of comments will not be included in
-- the definition of the procedure.
-- ================================================
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- =============================================
-- Author:		<Author,,Name>
-- Create date: <Create Date,,>
-- Description:	<Description,,>
-- =============================================
Alter PROCEDURE [dbo].[Ta_tbl_SyncLeavePendingApplication] 
/****** Object:  StoredProcedure [dbo].[Ta_tbl_SyncLeaveApplication]    Script Date: 08-24-2024 19:48:59 ******/
--=========================================
AS
BEGIN
	-- SET NOCOUNT ON added to prevent extra result sets from
	-- interfering with SELECT statements.
	SET NOCOUNT ON;

	--Fatch all the record from the ERP table	
	insert into TA_Emp_LeavePendingDTL(EMPLOYEE_CODE_ID,EMPLOYEE_NAME,LEAVE_CODE,LEAVETYPE,LEAVE_NAME,LEAVE_FROMDATE,LEAVE_TODATE,NUMBEROFDAYS,REASON,MODIFY_DATE,isProcess)
	select distinct 
	T.EMPLOYEE_CODE_ID,T.EMPLOYEE_NAME,T.LEAVE_CODE,T.LEAVETYPE,T.LEAVE_NAME,T.LEAVE_FROMDATE,T.LEAVE_TODATE,T.NUMBEROFDAYS,T.REASON,T.MODIFY_DATE,0
	from [Tawazun].dbo.[emp_penleav_v] T 
	left join TA_Emp_LeavePendingDTL S on T.Employee_Code_ID=S.Employee_Code_ID and T.LeaveType=S.LeaveType and T.Leave_Name=S.Leave_Name and T.Leave_FromDate=S.Leave_FromDate and T.NumberOfDays=S.NumberOfDays --and T.Reason=S.Reason 
	where S.Employee_Code_ID is null and T.Leave_FromDate>=cast('2024-01-01' as date)
	--END

	declare @ImportDatacount int
	--Create table ta_tbl_SyncLeaveErrorLog(ErrorID bigint identity(1,1),ErrorDetails nvarchar(MAX),Errordate datetime)
    -- Insert statements for procedure here
	declare @LastSyncDate datetime=null
	
	select top 1 @LastSyncDate=SyncModifyDate from ta_tbl_SyncLeavePendingHistory order by LeaveHistory desc
	select @ImportDatacount=count(*) from TA_Emp_LeavePendingDTL where isprocess=0
	

	declare @TempLevel table (AutoID int identity(1,1),LeaveSyncID bigint, Employee_Code_ID nvarchar(200),LeaveType nvarchar(20),Leave_Name	nvarchar(100),Leave_FromDate	datetime,Leave_ToDate datetime,NumberOfDays	decimal(18,2),Reason nvarchar(MAX))
	
	select @LastSyncDate
	insert into ta_tbl_SyncLeavePendingErrorLog(EmployeeCode,ModifyDate,ErrorDetails,ExecuteDate)
	Select Employee_code_ID,Modify_Date , (Case when isnull(cast(Employee_Code_ID as nvarchar),'')='' then 'Employee_Code_ID missing,' else '' end + 
			Case when isnull(cast(LeaveType as nvarchar),'')='' then 'LeaveType missing,' else '' end + 
			Case when isnull(cast(Leave_Name as nvarchar),'')='' then 'Leave_Name missing,' else '' end + 
			Case when isnull(cast(Leave_FromDate as nvarchar),'')='' then 'Leave_FromDate missing,' else '' end + 
			Case when isnull(cast(Leave_ToDate as nvarchar),'')='' then 'Leave_ToDate missing,' else '' end + 
			Case when isnull(cast(NumberOfDays as nvarchar),'')='' then 'NumberOfDays missing,' else '' end 
			--+ Case when isnull(cast(Reason as nvarchar),'')='' then 'Reason missing,' else '' end
			) ,getdate()  from TA_Emp_LeavePendingDTL 
	where isprocess=0
	and (isnull(Employee_Code_ID,'')='' or isnull(LeaveType,'')='' or isnull(Leave_Name,'')='' or isnull(Leave_FromDate,'')='' or isnull(Leave_ToDate,'')='' or isnull(cast(NumberOfDays  as nvarchar),'')='')
	

	update TA_Emp_LeavePendingDTL set isprocess=2 where LeaveSyncID in (select T.LeaveSyncID from TA_Emp_LeavePendingDTL T 
	where T.isprocess=0
	and (isnull(T.Employee_Code_ID,'')='' or isnull(T.LeaveType,'')='' or isnull(T.Leave_Name,'')='' or isnull(T.Leave_FromDate,'')='' or isnull(T.Leave_ToDate,'')='' or isnull(cast(T.NumberOfDays  as nvarchar),'')=''))

	insert into @TempLevel(LeaveSyncID,Employee_Code_ID,LeaveType,Leave_Name,Leave_FromDate,Leave_ToDate,NumberOfDays,Reason)
	select LeaveSyncID,Employee_Code_ID,LeaveType,Leave_Name,Leave_FromDate,Leave_ToDate,NumberOfDays,Reason from TA_Emp_LeavePendingDTL where isprocess=0
	and (isnull(Employee_Code_ID,'')!='' and isnull(LeaveType,'')!='' and isnull(Leave_Name,'')!='' and isnull(Leave_FromDate,'')!='' and isnull(Leave_ToDate,'')!='' and isnull(cast(NumberOfDays  as nvarchar),'')!='')
	
	--select * from @TempLevel
	declare @count int,@loop int=1
	select @count=count(*) from @TempLevel
	set @ImportDatacount=0
	while(@count>=@loop)
		begin
			declare @Employee_Code_ID nvarchar(200),@LeaveType nvarchar(20),@Leave_Name	nvarchar(20),@Leave_FromDate	datetime,@Leave_ToDate datetime,@NumberOfDays	decimal(18,2),@Reason nvarchar(MAX),@FromSession nvarchar(200),@ToSession nvarchar(200),@LeaveTypeID int,@LeaveSyncID bigint=null
			declare @YearID int,@empID bigint,@policyID bigint=null
			select @YearID=YearSettings_Id from TA_Tbl_YearSetting where IsActive=1

			select @Employee_Code_ID=Employee_Code_ID,@LeaveType =LeaveType,@Leave_Name=Leave_Name,@Leave_FromDate=Leave_FromDate,@Leave_ToDate=Leave_ToDate,@NumberOfDays=NumberOfDays,@Reason=Reason,@LeaveSyncID=LeaveSyncID from @TempLevel where AutoID=@loop
			select @empID=Employee_Id from TA_Tbl_Employee where Employee_Code_Id=@Employee_Code_ID
			
			select @policyID=LeavePolicy_Id from TA_Tbl_Emp_LeavePolicy where EmployeeId=@empID and YearSettingId=@YearID

			if(@policyID is null)
                begin
                    Declare @FromDate datetime , @Todate datetime, @polID bigint , @Emp_LeavePolicyID int,@empLevel int
                    select top 1 @polID=Policy_Id from TA_Tbl_LeavePolicy where IsDeleted=0 
                    select @Fromdate=FromDate,@ToDate=ToDate from Ta_Tbl_YearSetting where YearSettings_Id=@YearID

					INSERT INTO TA_Tbl_Emp_LeavePolicy (EmployeeId,LeavePolicy_Id,FromDate,ToDate,Isdeleted,Emp_Id,YearSettingId) values
					(@empID,@polID,@FromDate,@Todate,0,1,@YearID)

                    --EXEC Proc_TA_InsertEmp_LeavePolicy @empID,@polID,@FromDate,@Todate,1
                    set @Emp_LeavePolicyID=IDENT_CURRENT('TA_Tbl_Emp_LeavePolicy')
                    --EXEC Proc_TA_InsertEmp_LeavePolicy @empID,@polID,@FromDate,@Todate,1
                    --set @Emp_LeavePolicyID=IDENT_CURRENT('TA_Tbl_Emp_LeavePolicy')

                    insert into TA_Tbl_Emp_LeavePolicyDetails(Emp_LeavePolicyId,EmpID,Policy_ID,LeaveType_Id,No_Of_Days,Isdeleted,Time_Stamp,Emp_Id,MaxDays_Month)
                    select @Emp_LeavePolicyID,@empID,Policy_Id,LeaveType_Id,MaxDays_applicable,0,GETDATE(),1,MaxDays_avail from TA_Tbl_LeavePolicyDetails E where Policy_Id=@polID

                    insert into ta_tbl_emp_LeaveTypedetails
                    select @empID,LeaveType_Id,0.0,0.0,@YearID,0 from TA_Tbl_LeavePolicyDetails where Policy_Id=@polID and LeaveType_Id not in (select S.LeaveTypeId from ta_tbl_emp_LeaveTypedetails S WHERE S.LeaveTypeId=LeaveType_Id AND S.YearSettingsId=@YearID and S.EmployeeId=@empID)

                    Select top 1 @empLevel=LevelId from TA_Tbl_EmployeeLevel where EmployeeId=@empID order by EffectiveDate desc

                    insert into TA_tbl_Yearclosure
                    select @YearID,@empLevel,null,null,@empID,LeaveType_Id,0.0,MaxDays_applicable,0.0,0.0,MaxDays_applicable,0.0,getdate(),1 from TA_Tbl_LeavePolicyDetails where Policy_Id=@polID
				END

			select @policyID=LeavePolicy_Id from TA_Tbl_Emp_LeavePolicy where EmployeeId=@empID and YearSettingId=@YearID

			if(@policyID is not null)
				begin
					--declare @Reporting_To int,@Leave_Sanc_Authority int,@Status nvarchar(200)
					declare @Status nvarchar(200),@empCode nvarchar(100)
					select @empCode=Employee_Code_Id from TA_Tbl_Employee where Employee_Id=@empID
					EXEC Proc_TA_SyncLeaveTypeCreation @Employee_Code_ID=@Employee_Code_ID,@LeaveType=@LeaveType,@Leave_Name=@Leave_Name,@YearID=@YearID,@empID=@empID,@policyID=@policyID
					select @LeaveTypeID=LeaveType_Id from TA_Tbl_LeaveType where LeaveType=@LeaveType
					--select @Reporting_To=Reporting_To,@Leave_Sanc_Authority=Leave_Sanc_Authority from TA_Tbl_Employee where Employee_Id=@empID 
					--IF(@Reporting_To is not null and @Leave_Sanc_Authority is not null)
					--	begin
					--		if(@Reporting_To = @Leave_Sanc_Authority )
					--			begin
					--				set @Status='Forwarded'
					--			end
					--		else if (@Reporting_To != @Leave_Sanc_Authority )
					--			begin
					--				set @Status='Pending'
					--			end
					--	END
					--else
					--	begin
					--		set @Status='Pending'
					--	end
					set @Status='Pending'
					if exists(select LeaveApplication_Id from TA_Tbl_LeaveApplication where (Leave_FromDate between @Leave_FromDate and @Leave_ToDate or Leave_ToDate between @Leave_FromDate and @Leave_ToDate) and Employee_Id=@empID and IsDeleted=0)
						begin
							insert into ta_tbl_SyncLeavePendingErrorLog(EmployeeCode,ErrorDetails,ExecuteDate) values (@Employee_Code_ID,'Already this Leave Type (or) other Leave has been taken for the same date - EmployeeCode - ' + cast(@Employee_Code_ID as nvarchar),GETDATE())
						end
					else
						begin
							declare @currentdate datetime=cast(getdate() as date)
							exec Proc_TA_InsertLeaveApplication @EmployeeID=@empID,@Leave_ApplicationDate=@currentdate,@LeaveType_id=@LeaveTypeID,@Type=N'Leave',@Leave_FromDate=@Leave_FromDate,@Leave_ToDate=@Leave_ToDate,@Leave_SessionFrom=N'First half',@Leave_SessionTo=N'Second half',@NumberOfDays=@NumberOfDays,@Reason=@Reason,@IsBorrow=0,@auEmpId=N'1',@YearSettings_Id=@YearID,@LeaveStatus=@Status,@SuccessiveYear=0,@Intervening=' '		
							exec Proc_TA_ReprocessEmpData @FromDate=@Leave_FromDate,@ToDate=@Leave_ToDate,@EmployeeCodeId=@empCode
							set @ImportDatacount=isnull(@ImportDatacount,0)+1
						end
				end
			--select @LeaveTypeAvail=PolicyDetails_Id from TA_Tbl_LeavePolicyDetails where Policy_Id=@policyID and LeaveType_Id=@LeaveTypeID
			update TA_Emp_LeavePendingDTL  set isProcess=1 where LeaveSyncID=@LeaveSyncID
			set @loop=@loop+1
		end
	if((select count(*) from @TempLevel)>0)
		begin
			insert into ta_tbl_SyncLeavePendingHistory(SyncDatetime,SyncModifyDate,SyncRecordCount) values (getdate(),GETDATE(),@ImportDatacount)
		end

END
