USE [TawazunCusII]
GO
/****** Object:  StoredProcedure [dbo].[Proc_TA_RptTawazunDetailedMonthlyAttendance]    Script Date: 08-24-2024 11:36:25 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
/*
HRSWORK
08:00

exec Proc_TA_RptTawazunDetailedMonthlyAttendance @MinWorkHours=N'',@fromDat='2024-08-01 00:00:00',@ToDat='2024-08-30 00:00:00',
@EmployeeName=N'',@LevelID=N'0,1',@EmployeeId=N'',@employeeCategory=0,@employeeType=0,@UserGroupName=N'SuperAdmin',@GradeLevel=N'0',
@EmpSwipeCard=N'',@ParentId=0,@DesignationID=0,@Gender=N'Both',@Shift=0,@DataLoading=0,@EmpAutoId=0,@Export=0

*/
ALTER  PROCEDURE [dbo].[Proc_TA_RptTawazunDetailedMonthlyAttendance]
(   
	@MINWORKHOURS AS NVARCHAR(10)=null,
	@FROMDAT DATETIME=null,
	@TODAT DATETIME=null,
	@EMPLOYEENAME NVARCHAR(MAX)=null,
	@LEVELID NVARCHAR(MAX)=null,
	@EMPLOYEEID NVARCHAR(MAX)=null,
	@EMPLOYEECATEGORY INT=null,
	@EMPLOYEETYPE INT=0,
	@USERGROUPNAME NVARCHAR(250)=null,
	@GRADELEVEL NVARCHAR(20)=null,
	@EMPSWIPECARD NVARCHAR(20)=null,
	@PARENTID INT=0,
	@DESIGNATIONID INT=0,
	@GENDER NVARCHAR(10)=null,
	@SHIFT INT=0,
	@DATALOADING INT=0,
	@EMPAUTOID BIGINT=0,
	@EXPORT INT=0
)   
AS    
BEGIN    
	SET NOCOUNT ON;
	DECLARE @local_MINWORKHOURS AS NVARCHAR(10)
	DECLARE @local_FROMDAT DATETIME
	DECLARE @local_TODAT DATETIME
	DECLARE @local_EMPLOYEENAME NVARCHAR(MAX)
	DECLARE @local_LEVELID NVARCHAR(MAX)
	DECLARE @local_EMPLOYEEID NVARCHAR(MAX)
	DECLARE @local_EMPLOYEECATEGORY INT
	DECLARE @local_EMPLOYEETYPE INT
	DECLARE @local_USERGROUPNAME NVARCHAR(250)
	DECLARE @local_GRADELEVEL NVARCHAR(20)
	DECLARE @local_EMPSWIPECARD NVARCHAR(20)
	DECLARE @local_PARENTID INT
	DECLARE @local_DESIGNATIONID INT
	DECLARE @local_GENDER NVARCHAR(10)
	DECLARE @local_SHIFT INT
	DECLARE @local_DATALOADING INT
	DECLARE @local_EMPAUTOID BIGINT
	DECLARE @local_EXPORT INT
	SET @local_MINWORKHOURS		= LTRIM(RTRIM(@MINWORKHOURS))
    SET @local_FROMDAT			= LTRIM(RTRIM(@FROMDAT))
    SET @local_TODAT			= LTRIM(RTRIM(@TODAT))
    SET @local_EMPLOYEENAME		= LTRIM(RTRIM(@EMPLOYEENAME))
    SET @local_LEVELID			= LTRIM(RTRIM(@LEVELID))
    SET @local_EMPLOYEEID		= LTRIM(RTRIM(@EMPLOYEEID))    
    SET @local_EMPLOYEECATEGORY	= LTRIM(RTRIM(@EMPLOYEECATEGORY))
    SET @local_EMPLOYEETYPE     = LTRIM(RTRIM(@EMPLOYEETYPE))
    SET @local_USERGROUPNAME    = LTRIM(RTRIM(@USERGROUPNAME))
    SET @local_GRADELEVEL		= LTRIM(RTRIM(@GRADELEVEL))
    SET @local_EMPSWIPECARD		= LTRIM(RTRIM(@EMPSWIPECARD))
    SET @local_PARENTID			= LTRIM(RTRIM(@PARENTID))    
    SET @local_DESIGNATIONID	= LTRIM(RTRIM(@DESIGNATIONID))
    SET @local_GENDER			= LTRIM(RTRIM(@GENDER))
    SET @local_SHIFT			= LTRIM(RTRIM(@SHIFT))
    SET @local_DATALOADING		= LTRIM(RTRIM(@DATALOADING))
    SET @local_EMPAUTOID		= LTRIM(RTRIM(@EMPAUTOID))
    SET @local_EXPORT			= LTRIM(RTRIM(@EXPORT)) 
     
	DECLARE @SQLTEMPPROCESSEDDATA	VARCHAR(8000)
	DECLARE @SQLTEMPPROCESSEDDATA1	VARCHAR(8000)
	DECLARE @SQLEMPLEVEL			NVARCHAR(4000)
	CREATE TABLE #EMPLOYEEIDS(EMPAUTOID INT)
	CREATE TABLE #TEMPEMPLOYEE(EMPAUTOID BIGINT,EMPSWIPECARDNO VARCHAR(20))		
	CREATE TABLE #EMPLEVEL
	(
		id int identity(1,1),
		EMPLOYEEID INT,
		LEVELID INT,
		EFFECTIVEDATE DATETIME,
		EMPLOYEE_CODE_ID VARCHAR(50),
		SWIPECARD VARCHAR(50)
	)
	CREATE TABLE #EMPDESIGNATION
	(
		EMPLOYEEID INT,
		DESIGNATIONID INT,
		EFFECTIVEDATE DATETIME,
		EMPLOYEE_CODE_ID VARCHAR(50),
		SWIPECARD VARCHAR(50)
	)
	CREATE TABLE #EMPTYPE(EMPLOYEEID INT,TYPEID INT,EFFECTIVEDATE DATETIME,EMPLOYEE_CODE_ID VARCHAR(50),SWIPECARD VARCHAR(50))
	CREATE TABLE #EMPCATEGORY(EMPLOYEEID INT,CATEGORYID INT,EFFECTIVEDATE DATETIME,EMPLOYEE_CODE_ID VARCHAR(50),SWIPECARD VARCHAR(50))
	CREATE TABLE #EMPPROCESSEDDATA(SWIPECARDNO VARCHAR(50),PROCESSDATE DATETIME,TOTALWORKMINS VARCHAR(50))    
	CREATE TABLE #LEVELRIGHTS(LEVELID INT)
	CREATE TABLE #TEMPPROCESSEDDATA
	(
		EMPAUTOID BIGINT,
		DATE DATETIME,
		EMPLOYEE_CODE_ID VARCHAR(20),
		INTIME NVARCHAR(25),
		OUTTIME NVARCHAR(25),
		SHIFT_ID INT,
		HRSWORK NVARCHAR(10),
		SUPPOSEDWORKHOURS NVARCHAR(10),
		STATUS NVARCHAR(50),
		ATTENDANCE NVARCHAR(20),
		ANATTENDANCECODE NVARCHAR(15),
		FNATTENDANCECODE NVARCHAR(15),
		PREVSHIFT_ID INT,
		PROCESS_REC_ID BIGINT,
		EXACTSHIFT_STARTTIME NVARCHAR(25),
		SHIFT_SECONDHALF_STARTTIME DATETIME,
		LATEINMIN	NVARCHAR(10),
		EARLYOUT NVARCHAR(10),
		LATEIN NVARCHAR(10),
		NORMOT NVARCHAR(10),
		OFFOT NVARCHAR(10),
		HOLOT NVARCHAR(10),
		OTMINS decimal(18,0),
		EARLYOUTMIN INT,
		OVERTIMESTATUS VARCHAR(20),
		NIGHTORMORN INT
		,INNOTATION CHAR(1),
		OUTNOTATION CHAR(1),
		BREAKHOURS VARCHAR(20),
		LUNCHHOURS VARCHAR(20),
		BREAKHOURSMINS INT,
		LUNCHHOURSMINS INT,
		ActNormOTmins int,
		ActNormOTHrs varchar(5),
		-----
		SPEC_NormOT1	varchar(10),
		SPEC_NormOTMins1	int,
		SPEC_NormOT2	varchar(10),
		SPEC_NormOTMins2	int,
		SPEC_OffOT1		varchar(10),
		SPEC_OffOTMins1	int,
		SPEC_OffOT2		varchar(10),
		SPEC_OffOTMins2	int,
		SPEC_HOLOT1		varchar(10),
		SPEC_HOLOTMins1	int,
		SPEC_HOLOT2		varchar(10),
		SPEC_HOLOTMins2	int,			
		Modified_Spec_NormOTMins1 int,
		Modified_Spec_NormOTMins2 int,
		Modified_Spec_OffOTMins1 int,
		Modified_Spec_OffOTMins2 int,
		Modified_Spec_HolOTMins1 int,
		Modified_Spec_HolOTMins2 int,
		Modified_Spec_NormOTHrs1 varchar(10),
		Modified_Spec_NormOTHrs2 varchar(10),
		Modified_Spec_OffOTHrs1 varchar(10),
		Modified_Spec_OffOTHrs2 varchar(10),
		Modified_Spec_HolOTHrs1 varchar(10),
		Modified_Spec_HolOTHrs2 varchar(10),
		InLocation varchar(500),
		OutLocation varchar(500),
		InLatitude varchar(20),
		InLongitude varchar(20),
		OutLatitude varchar(20),
		OutLongitude varchar(20),
		OD_Time varchar(20),
		Tot_OD_Mins int,
		EmpLevelID int,
		ReaminingBufferHours varchar(20)
	)
	DECLARE @ISREPORTINGTO AS INT
	DECLARE @ISINDIVIDUAL AS INT
	if(@local_USERGROUPNAME!='Superadmin')
	BEGIN
		SELECT @ISREPORTINGTO=REPORTSBASEDON,@ISINDIVIDUAL=INDIVIDUALUSERS FROM TA_TBL_USERGROUP WHERE GROUPNAME=@local_USERGROUPNAME
		INSERT INTO #EMPLOYEEIDS SELECT * FROM [DBO].[FN_TA_GETMAPPEDEMPLOYEES_REPORTINGTO](@local_EMPAUTOID) AS EMPAUTOID  
		INSERT INTO #EMPLOYEEIDS SELECT * FROM [DBO].[FN_TA_GETMAPPEDEMPLOYEES_SANCAUTHORITY](@local_EMPAUTOID) AS EMPAUTOID
	END
    INSERT INTO #LEVELRIGHTS SELECT * FROM [DBO].[FN_TA_GETPARENTCHILD](@local_USERGROUPNAME,@local_PARENTID) AS LEVELID  
	INSERT INTO #EMPDESIGNATION EXEC PROC_TA_EMPDESIGNATION @local_TODAT,@local_EMPLOYEEID,@local_DESIGNATIONID
	INSERT INTO #EMPTYPE EXEC [PROC_TA_EMPTYPE] @local_TODAT,@local_EMPLOYEEID,@local_EMPLOYEETYPE
	INSERT INTO #EMPCATEGORY EXEC [PROC_TA_EMPCATEGORY] @local_TODAT,@local_EMPLOYEEID,@local_EMPLOYEECATEGORY
	CREATE TABLE #EMPLOYEENAME(EMPLOYEEID VARCHAR(25))
	CREATE TABLE #EMPLOYEEID(EMPLOYEEID VARCHAR(25))
	
	IF(@local_EMPLOYEEID IS NOT NULL AND @local_EMPLOYEEID <> '')
		BEGIN			
			INSERT INTO #EMPLOYEEID
			SELECT * FROM SPLITUPEMPLOYEECODE(@local_EMPLOYEEID)
		END	
	IF(@local_EMPLOYEENAME IS NOT NULL AND @local_EMPLOYEENAME <> '')
		BEGIN			
			INSERT INTO #EMPLOYEENAME
			SELECT [VALUE] FROM DBO.[SPLITUPEMPLOYEENAME](@local_EMPLOYEENAME,',')
		END	
	INSERT INTO #EMPLEVEL SELECT ELEVEL.EMPLOYEEID,EL.LEVELID,ELEVEL.EFFECTIVEDATE,EMPLOYEE_CODE_ID,SWIPECARDNO  FROM 
	(
		SELECT MAX(EL.EFFECTIVEDATE) AS EFFECTIVEDATE,EL.EMPLOYEEID AS EMPLOYEEID,EMP.EMPLOYEE_CODE_ID,EMP.SWIPECARDNO FROM TA_TBL_EMPLOYEELEVEL EL
		INNER JOIN TA_TBL_EMPLOYEE EMP ON EL.EMPLOYEEID = EMP.EMPLOYEE_ID 
		INNER JOIN #LEVELRIGHTS ON #LEVELRIGHTS.LEVELID=EL.LEVELID
		WHERE  SWIPECARDNO IS NOT NULL AND EMP.ISDELETED=0
		and(@local_GENDER='BOTH' or EMP.GENDER = @local_GENDER)
		and((@ISREPORTINGTO=0 or @local_USERGROUPNAME='Superadmin')or (EMP.EMPLOYEE_ID IN (SELECT * FROM #EMPLOYEEIDS)))
		and(isnull(@local_EMPLOYEEID,'')='' or EMP.Employee_Code_Id in(select * from #EMPLOYEEID))
		and(isnull(@local_EMPLOYEENAME,'')='' or EMP.Employee_Code_Id in(select * from #EMPLOYEENAME))
		GROUP BY EMPLOYEEID,EMPLOYEE_CODE_ID,EMP.SWIPECARDNO
	) ELEVEL
	INNER JOIN TA_TBL_EMPLOYEELEVEL EL ON EL.EFFECTIVEDATE=ELEVEL.EFFECTIVEDATE AND EL.EMPLOYEEID=ELEVEL.EMPLOYEEID
	INNER JOIN #LEVELRIGHTS ON #LEVELRIGHTS.LEVELID=EL.LEVELID
	--AND EL.EFFECTIVEDATE <= CONVERT(DATETIME,@local_TODAT, 102)
	AND EL.LEVELID IS NOT NULL	

	declare @Count int=0, @loop int=1,@SQLStr nvarchar(MAX)=''
	create table #Emptest (
		EmployeeId nvarchar(20),
		LevelId int,
		Level1Name nvarchar(200),
		Level1Details nvarchar(200),
		Level2Name nvarchar(200),
		Level2Details nvarchar(200),
		Level3Name nvarchar(200),
		Level3Details nvarchar(200),
		Level4Name nvarchar(200),
		Level4Details nvarchar(200),
		Level5Name nvarchar(200),
		Level5Details nvarchar(200)
	)
	select @Count=count(*) from #EMPLEVEL
	while(@Count>=@loop)
		begin
			Set @SQLStr=''
			declare @EmpID nvarchar(20),@LoopLevelID bigint
			Select @EmpID=EMPLOYEE_CODE_ID,@LoopLevelID=LEVELID from #EMPLEVEL where id=@loop
			select @SQLStr=dbo.Func_TA_LoadSpace(@EmpID,@LoopLevelID,'#Emptest')
			execute(@SQLStr)
			Set @loop=@loop+1
		end
	
	--select * from #Emptest


	INSERT INTO #TEMPPROCESSEDDATA 
	select #EMPLEVEL.EMPLOYEEID,
			vp.DATE,
			vp.EMPLOYEE_CODE_ID,
			--updated by velumani for Abraj Monthly attendance design issue
			--case when vp.INTIME='00:00' then '' else vp.INTIME end,
			--case when vp.OUTTIME='00:00' then '' else vp.OUTTIME end,
			--vp.SHIFT_ID,
			--case when vp.HRSWORK='00:00' then '' else vp.HRSWORK end,
			(case when  vp.INTIME is null or vp.INTIME='00:00'  then null  else vp.INTIME end) as INTIME,
			(case when  vp.OUTTIME is null or vp.OUTTIME='00:00' then null else vp.OUTTIME end) as OUTTIME,
			vp.SHIFT_ID,
			(case when  vp.HRSWORK is null or vp.HRSWORK='00:00' then null else vp.HRSWORK end) as HRSWORK,
		-------------------------
			vp.WORKHRS,
			vp.STATUS,
			vp.ATTENDANCE,
			vp.ANATTENDANCECODE,
			vp.FNATTENDANCECODE,
			vp.SHIFT_ID,
			vp.PROCESS_REC_ID,
			vp.SHIFT_STARTTIME,
			CAST(vp.SHIFT_SECONDHALF_STARTTIME AS DATETIME)
			,LATEINMINS,
			EARLYOUT,
			LATEIN,
			vp.NORMOT,
			vp.OFFOT,
			vp.HOLOT,
			round(OtMins,0),
			CASE WHEN CHARINDEX('.',CONVERT(VARCHAR(20),EARLYOUTMINS))!=0 THEN CONVERT(INT,SUBSTRING(CONVERT(VARCHAR(20),EARLYOUTMINS),0,
			CHARINDEX('.',CONVERT(VARCHAR(20),EARLYOUTMINS))))
			ELSE EARLYOUTMINS END,
			OVERTIMESTATUS,
			0,
			INNOTATION,
			OUTNOTATION,
			BREAKHRS,
			LUNCHHRS,
			BREAKHRSINMINS,
			LUNCHHRSINMINS,
			case	when Shift_Id=-1 then vp.ActOffOTMins
					when FNAttendanceCode='Holiday' and ANAttendanceCode='Holiday' then vp.ActHolOTMins
			else ActOTMins end,
			case	when Shift_Id=-1 then vp.ActOffOT
					when FNAttendanceCode='Holiday' and ANAttendanceCode='Holiday' then vp.ActHolOT
			else ActNormOT end,
			vp.SPEC_NormOT1,
			vp.SPEC_NormOTMins1,
			vp.SPEC_NormOT2,
			vp.SPEC_NormOTMins2,
			vp.SPEC_OffOT1,
			vp.SPEC_OffOTMins1,
			vp.SPEC_OffOT2,
			vp.SPEC_OffOTMins2,
			vp.SPEC_HOLOT1,
			vp.SPEC_HOLOTMins1,
			vp.SPEC_HOLOT2,
			vp.SPEC_HOLOTMins2,
			spot.Modified_Spec_NormOTMins1,
			spot.Modified_Spec_NormOTMins2,
			spot.Modified_Spec_OffOTMins1,
			spot.Modified_Spec_OffOTMins2,
			spot.Modified_Spec_HolOTMins1,
			spot.Modified_Spec_HolOTMins2,
			spot.Modified_Spec_NormOTHrs1,
			spot.Modified_Spec_NormOTHrs2,
			spot.Modified_Spec_OffOTHrs1,
			spot.Modified_Spec_OffOTHrs2,
			spot.Modified_Spec_HolOTHrs1,
			spot.Modified_Spec_HolOTHrs2,
			vp.InLocation ,
			vp.OutLocation,
			Vp.In_Latitude,
			Vp.In_Longitude,
			Vp.Out_Latitude,
			Vp.Out_Longitude,isNull(vp.AdjHrs,'00:00'),dbo.ConvertHoursToMinites(Cast(vp.AdjHrs As Time)),#EMPLEVEL.LEVELID,Vp.RemainingBufferHours
	from VW_FetchDataFromProcessedData vp
	INNER JOIN #EMPLEVEL ON #EMPLEVEL.SWIPECARD=vp.EMPLOYEE_CODE_ID  
	Left outer join Ta_tbl_specialOvertimeDetails spot on (vp.Employee_Code_Id=spot.Employee_code_id and vp.Date=spot.Date)
	WHERE vp.ProcessFlag=1 AND (vp.DATE >= CONVERT(DATETIME,CAST( @local_FROMDAT AS NVARCHAR(50)), 102))    
	AND (vp.DATE <= CONVERT(DATETIME,CAST(@local_TODAT AS NVARCHAR(50)), 102)) 
	and (@local_SHIFT=0 or vp.SHIFT_ID=@local_SHIFT)
	and 
	(
		(@local_DATALOADING=0 or 
		((
		(@local_DATALOADING=1 and vp.FNATTENDANCECODE= 'HOLIDAY' AND vp.ANATTENDANCECODE= 'HOLIDAY') or
		(@local_DATALOADING=2 AND ((vp.FNATTENDANCECODE= 'WEEKLY OFF' AND vp.ANATTENDANCECODE= 'WEEKLY OFF') OR (vp.SHIFT_ID= -1)))or
		(@local_DATALOADING=3 AND (((vp.FNATTENDANCECODE= 'WEEKLY OFF' AND vp.ANATTENDANCECODE= 'WEEKLY OFF')OR (vp.SHIFT_ID= -1))
        OR (vp.FNATTENDANCECODE= 'HOLIDAY' AND vp.ANATTENDANCECODE= 'HOLIDAY'))))
		AND ((INTIME IS NOT NULL OR not(INTIME='00:00')) OR (OUTTIME IS NOT NULL OR not(OUTTIME='00:00')))))
			or
		(@local_DATALOADING=4 AND ((vp.FNATTENDANCECODE= 'WEEKLY OFF' AND vp.ANATTENDANCECODE= 'WEEKLY OFF') OR (vp.SHIFT_ID= -1)))
	)

	create table #Onduty(
		EMPLOYEE_CODE_ID VARCHAR(20),	
		INTIME NVARCHAR(25),
		OUTTIME NVARCHAR(25),
		ManualTimeEntry_InDate datetime,
		ManualTimeEntry_OutDate datetime)
	insert into #Onduty
	Select ManualTimeEntry_Employee_Id,ManualTimeEntry_InTime,ManualTimeEntry_OutTime,ManualTimeEntry_InDate,ManualTimeEntry_OutDate from TA_Tbl_ManualTimeEntry where (ManualTimeEntry_InDate between convert(datetime, cast(@local_FROMDAT as nvarchar(11)) , 101) and convert(datetime, cast(@local_TODAT as nvarchar(11)) ,101) or ManualTimeEntry_OutDate between convert(datetime,cast(@local_FROMDAT as nvarchar(11)) , 101) and convert(datetime, cast(@local_TODAT as nvarchar(11)),101)) and IsOnDuty=1 and ManualTimeEntry_Status='Approved' and Isdeleted=0
	--Select * from #Onduty
	update T set 
	T.OD_Time=CONVERT(varchar(5),DATEADD(minute,DATEDIFF(MINUTE,(ManualTimeEntry_InDate + OD.INTIME),(ManualTimeEntry_OutDate + OD.OUTTIME)), 0), 114),
	T.Tot_OD_Mins=DATEDIFF(MINUTE,(ManualTimeEntry_InDate + OD.INTIME),(ManualTimeEntry_OutDate + OD.OUTTIME))
	from #TEMPPROCESSEDDATA T inner join #Onduty OD on T.EMPLOYEE_CODE_ID=OD.EMPLOYEE_CODE_ID and cast(T.DATE as date)=cast(OD.ManualTimeEntry_InDate as date)

	UPDATE PD SET EXACTSHIFT_STARTTIME=CAST(CONVERT(VARCHAR(25),SHIFT_SECONDHALF_STARTTIME,108) AS DATETIME) FROM #TEMPPROCESSEDDATA PD
	INNER JOIN TA_TBL_PROCESSEDDATA OPD ON PD.PROCESS_REC_ID=OPD.PROCESS_REC_ID WHERE OPD.FNATTENDANCECODE='CL' 	
	------------------------------------------------------CURRENT DATE IS WEEKLY OFF, TO GET THE PREVIOUS DATE SHIFT--------------------------------------------------
	UPDATE #TEMPPROCESSEDDATA SET PREVSHIFT_ID=B.SHIFT_ID FROM #TEMPPROCESSEDDATA T INNER JOIN
	(
		SELECT P.EMPLOYEE_CODE_ID,A.DATE,P.SHIFT_ID FROM TA_TBL_PROCESSEDDATA P INNER JOIN
		(
			SELECT EMPLOYEE_CODE_ID,DATEADD(D,-1,DATE) AS PREVDATE,DATE
			FROM #TEMPPROCESSEDDATA WHERE SHIFT_ID=-1 	
		)
		AS A ON A.EMPLOYEE_CODE_ID=P.EMPLOYEE_CODE_ID AND P.DATE=A.PREVDATE
		WHERE
		(P.DATE >= CONVERT(DATETIME,CAST(@local_FROMDAT AS NVARCHAR(50)), 102))    
		AND (P.DATE <= CONVERT(DATETIME,CAST(@local_TODAT AS NVARCHAR(50)), 102))
	)AS B ON T.EMPLOYEE_CODE_ID=B.EMPLOYEE_CODE_ID AND T.DATE=B.DATE
	--------------------------------------------------------AGAIN THE PREVIOUS DATE IS ALSO WEEKLY OFF MEANS, TO GET THE PREVIOUS DATE SHIFT---------------------------------------------------
	UPDATE #TEMPPROCESSEDDATA SET PREVSHIFT_ID=B.SHIFT_ID FROM #TEMPPROCESSEDDATA T INNER JOIN
	(
		SELECT P.EMPLOYEE_CODE_ID,A.DATE,P.SHIFT_ID FROM TA_TBL_PROCESSEDDATA P INNER JOIN
		(
			SELECT EMPLOYEE_CODE_ID,DATEADD(D,-2,DATE) AS PREVDATE,DATE
			FROM #TEMPPROCESSEDDATA WHERE PREVSHIFT_ID=-1 	
		)
		AS A ON A.EMPLOYEE_CODE_ID=P.EMPLOYEE_CODE_ID AND P.DATE=A.PREVDATE
		WHERE
		(P.DATE >= CONVERT(DATETIME,CAST(@local_FROMDAT AS NVARCHAR(50)), 102))    
		AND (P.DATE <= CONVERT(DATETIME,CAST(@local_TODAT AS NVARCHAR(50)), 102))
	)AS B ON T.EMPLOYEE_CODE_ID=B.EMPLOYEE_CODE_ID AND T.DATE=B.DATE
	------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
	UPDATE #TEMPPROCESSEDDATA SET NIGHTORMORN= CASE WHEN SUBSTRING(S.SHIFT_STARTTIME,7,8)='PM' AND SUBSTRING(S.SHIFT_ENDTIME,7,8)='AM' THEN 1 
													WHEN SUBSTRING(S.SHIFT_STARTTIME,7,8)='AM' AND SUBSTRING(S.SHIFT_ENDTIME,7,8)='PM' AND PD.OUTTIME>'00:00 AM' THEN 1
													ELSE 0 END 
	FROM #TEMPPROCESSEDDATA PD INNER JOIN TA_TBL_SHIFT S ON PD.PREVSHIFT_ID=S.SHIFT_ID
	
	DECLARE @TOTALMIN AS INT  
	SET @TOTALMIN = dbo.ConvertHoursToMinites(ISNULL(@local_MINWORKHOURS,'00:00'))
	if(@TOTALMIN='') set @TOTALMIN=0
	CREATE TABLE #TEMPMONTHLYATTENDANCE
	(	
		FIRSTSESSION VARCHAR(250),
		SECONDSESSION VARCHAR(250),
		ATTENDANCE VARCHAR(50),
		EMPLOYEE_ID VARCHAR(25),
		EMPNAME VARCHAR(500),
		BRANCHNAME VARCHAR(500),
		DESIGNATION VARCHAR(250),
		DATE DATETIME,
		INTIME VARCHAR(30),
		OUTTIME VARCHAR(30),
		HRSWORK VARCHAR(30),
		SUPPOSEDWORKHOURS VARCHAR(30),
		STATUS VARCHAR(30),
		TOTALMINSWORKED VARCHAR(30),
		SHIFT_SHORTNAME VARCHAR(20),
		SHIFT_TOTALWORKINGHOURS VARCHAR(20),
		GENDER NVARCHAR(10),
		EARLYOUT NVARCHAR(10),
		LATEIN NVARCHAR(10),
		OVERTIME INT,
		NORMOTMIN INT,
		OFFOTMIN INT,
		HOLOTMIN INT,
		NORMOT NVARCHAR(20),
		OFFOT NVARCHAR(20),
		HOLOT NVARCHAR(20),
		LATEINMIN INT,
		EARLYOUTMIN INT,
		TOTDEFWORKHRS INT,
		TOTSUPWORKHRS INT,
		OVERTIMESTATUS VARCHAR(20),
		NIGHTORMORN INT,
		LUNCHINTIME NVARCHAR(20),
		LUNCHOUTTIME NVARCHAR(20)
		,INNOTATION CHAR(1),
		OUTNOTATION CHAR(1)
		,BREAKHOURS VARCHAR(20),
		LUNCHHOURS VARCHAR(20),
		BREAKHOURSMINS INT,
		LUNCHHOURSMINS INT,
		SHIFT_STARTTIME	NVARCHAR(10),
		SHIFT_ENDTIME	NVARCHAR(10),
		CATEGORYNAME 	NVARCHAR(100),
		WEEKDAY_WORKHRS NVARCHAR(100),
		WEEKNUMBER INT,
		FNATTENDANCECODE varchar(100),
		ANATTENDANCECODE varchar(100),
		StatusCode varchar(50),
		-----
		SPEC_NormOT1	varchar(10),
		SPEC_NormOT2	varchar(10),
		SPEC_OffOT1		varchar(10),
		SPEC_OffOT2		varchar(10),
		SPEC_HOLOT1		varchar(10),
		SPEC_HOLOT2		varchar(10)	,	
		InLocation varchar(500),
		OutLocation varchar(500),
		InLatitude varchar(20),
		InLongitude varchar(20),
		OutLatitude varchar(20),
		OutLongitude varchar(20),
		Day_Name varchar(25),
		OD_Hours nvarchar(20),
		Tot_OD_Mins int,
		EmpLevelID int,
		RemainingBufferHour nvarchar(20),
		ReportingTo int,
		LeaveSanction int
	)	
	INSERT INTO #TEMPMONTHLYATTENDANCE 
	SELECT 
	CASE	WHEN PD.FNATTENDANCECODE='PRESENT' THEN PD.FNATTENDANCECODE + [DBO].[FUNC_TA_ONDUTY](PD.DATE,PD.FNATTENDANCECODE,E.EMPLOYEE_CODE_ID,'FN',SHF.SHIFT_STARTTIME,SHF.SHIFT_SECONDHALF_STARTTIME,SHF.SHIFT_ENDTIME,E.ISFLEXIBLE,SHF.SHIFT_ID,PD.HRSWORK) + CASE  WHEN STATUS IS NULL THEN '' ELSE '(BL)' END 
			ELSE PD.FNATTENDANCECODE
	END + case when INNOTATION='M' then ' #' else '' end AS FIRSTSESSION,
	CASE	WHEN PD.ANATTENDANCECODE ='PRESENT' THEN PD.ANATTENDANCECODE + [DBO].[FUNC_TA_ONDUTY](PD.DATE,PD.ANATTENDANCECODE,E.EMPLOYEE_CODE_ID,'AN',SHF.SHIFT_STARTTIME,SHF.SHIFT_SECONDHALF_STARTTIME,SHF.SHIFT_ENDTIME,E.ISFLEXIBLE,SHF.SHIFT_ID,PD.HRSWORK) + CASE  WHEN STATUS IS NULL THEN '' ELSE '(BL)' END  
			ELSE PD.ANATTENDANCECODE
	END + case when OUTNOTATION='M' then ' #' else '' end AS SECONDSESSION, 

	PD.ATTENDANCE,

	E.EMPLOYEE_CODE_ID AS EMPLOYEE_ID,
	ISNULL(E.EMPLOYEE_FIRSTNAME,'') +  SPACE(1) + ISNULL(E.Employee_MiddleName,'')  +SPACE(1) + ISNULL(E.EMPLOYEE_LASTNAME,'') AS EMPNAME,
	REPLACE(DBO.TA_TBL_LEVELDETAILS.NAME,'&AMP;','&') AS BRANCHNAME,
	REPLACE(T.TITLENAME,'&AMP;','&') AS DESIGNATION,
	CONVERT(VARCHAR(20),PD.DATE,101) AS DATE,
	PD.INTIME,
	PD.OUTTIME,
	PD.HRSWORK,
	CASE	WHEN PD.FNATTENDANCECODE='WEEKLY OFF' AND ANATTENDANCECODE='WEEKLY OFF' THEN	'-' 
			WHEN PD.FNATTENDANCECODE='HOLIDAY'OR ANATTENDANCECODE='HOLIDAY' THEN '-'
			ELSE PD.SUPPOSEDWORKHOURS 
	END 'SUPPOSEDWORKHOURS',
	(PD.ATTENDANCE +  CASE PD.STATUS WHEN 'BL' THEN ' - ' ELSE '' END + ISNULL(PD.STATUS,'')) AS STATUS,
	((SUBSTRING(ISNULL(PD.HRSWORK,'00:00'),0,CHARINDEX(':',PD.HRSWORK))*60) + (SUBSTRING(ISNULL(PD.HRSWORK,'00:00'),(LEN(PD.HRSWORK)-1),2))) AS TOTALMINSWORKED ,
	(CASE PD.SHIFT_ID WHEN '-1' THEN 'WEEKLY OFF' ELSE SHF.SHIFT_SHORTNAME END) AS SHIFT_SHORTNAME ,
	ISNULL
	(
		(
			CASE WHEN ((PD.FNATTENDANCECODE = 'HOLIDAY') OR (PD.ANATTENDANCECODE = 'HOLIDAY')) THEN '-' 
				 WHEN PD.SHIFT_ID=-1 THEN '-'
				 ELSE SHF.SHIFT_TOTALWORKINGHOURS END
		),'00:00'
	) AS SHIFT_TOTALWORKINGHOURS,
	E.GENDER,	
	PD.EARLYOUT,
	PD.LATEIN,
	CASE WHEN PD.NORMOT IS NOT NULL THEN
			CASE	WHEN OVERTIMESTATUS!='Approved' and isnull(ActNormOTmins,0)!=0 then CAST(ActNormOTmins AS VARCHAR(50)) 
					ELSE CAST(OTMINS AS VARCHAR(50)) 
			END
		 WHEN PD.OFFOT IS NOT NULL	THEN
			CASE	WHEN OVERTIMESTATUS!='Approved' and isnull(ActNormOTmins,0)!=0 then CAST(ActNormOTmins AS VARCHAR(50)) 
					ELSE CAST(OTMINS AS VARCHAR(50)) 
			END
		 WHEN PD.HOLOT IS NOT NULL	THEN 
			CASE	WHEN OVERTIMESTATUS!='Approved' and isnull(ActNormOTmins,0)!=0 then CAST(ActNormOTmins AS VARCHAR(50)) 
					ELSE CAST(OTMINS AS VARCHAR(50)) 
			END
		 ELSE 0
	END OVERTIME,
	CASE WHEN ISNULL(NORMOT,'00:00')='00:00' THEN 0 
		 ELSE	CASE	WHEN OVERTIMESTATUS!='Approved' and isnull(ActNormOTmins,0)!=0 then CAST(ActNormOTmins AS VARCHAR(50)) 
						ELSE CAST(OTMINS AS VARCHAR(50)) 
				END
	END AS 'NORMOTMINS',
	CASE WHEN ISNULL(OFFOT,'00:00')='00:00'	THEN 0 
		 ELSE	CASE	WHEN OVERTIMESTATUS!='Approved' and isnull(ActNormOTmins,0)!=0 then CAST(ActNormOTmins AS VARCHAR(50)) 
						ELSE CAST(OTMINS AS VARCHAR(50)) 
				END
	END AS 'WEEKOFFOTMINS',
	CASE WHEN ISNULL(HOLOT,'00:00')='00:00'	THEN 0 
		 ELSE	CASE	WHEN OVERTIMESTATUS!='Approved' and isnull(ActNormOTmins,0)!=0 then CAST(ActNormOTmins AS VARCHAR(50)) 
						ELSE CAST(OTMINS AS VARCHAR(50)) 
				END
	END AS 'HOLIDAYOTMINS',
	CASE WHEN ISNULL(NORMOT,'00:00')='00:00' THEN '00:00' 
		 ELSE	CASE	WHEN OVERTIMESTATUS!='Approved' and isnull(ActNormOTmins,0)!=0 then CAST(ActNormOTHrs AS VARCHAR(50)) 
						ELSE CAST(NORMOT AS VARCHAR(50)) 
				END 
	END AS HRSOT,
	CASE WHEN ISNULL(OFFOT,'00:00')='00:00'	THEN '00:00' 
		 ELSE	CASE	WHEN OVERTIMESTATUS!='Approved' and isnull(ActNormOTmins,0)!=0 then CAST(ActNormOTHrs AS VARCHAR(50)) 
						ELSE CAST(OFFOT AS VARCHAR(50)) 
				END
	END,
	CASE WHEN ISNULL(HOLOT,'00:00')='00:00'	THEN '00:00' 
		 ELSE	CASE	WHEN OVERTIMESTATUS!='Approved' and isnull(ActNormOTmins,0)!=0 then CAST(ActNormOTHrs AS VARCHAR(50)) 
						ELSE CAST(HOLOT AS VARCHAR(50)) 
				END
	END,
	LATEINMIN,
	EARLYOUTMIN,	
	CASE WHEN PD.SHIFT_ID=-1 THEN 0
		 WHEN ((PD.FNATTENDANCECODE = 'HOLIDAY') OR (PD.ANATTENDANCECODE = 'HOLIDAY')) THEN 0
		 ELSE SUBSTRING(SHF.SHIFT_TOTALWORKINGHOURS,0,CHARINDEX(':',SHF.SHIFT_TOTALWORKINGHOURS,0))*60+SUBSTRING(SHF.SHIFT_TOTALWORKINGHOURS,CHARINDEX(':',SHF.SHIFT_TOTALWORKINGHOURS,0)+1,LEN(SHF.SHIFT_TOTALWORKINGHOURS))
	END AS TOTDEFWORKHRS,
	CASE	WHEN PD.SHIFT_ID=-1 THEN 0
			WHEN ((PD.FNATTENDANCECODE = 'HOLIDAY') OR (PD.ANATTENDANCECODE = 'HOLIDAY')) THEN 0
			ELSE SUBSTRING(PD.SUPPOSEDWORKHOURS,0,CHARINDEX(':',PD.SUPPOSEDWORKHOURS,0))*60+SUBSTRING(PD.SUPPOSEDWORKHOURS,CHARINDEX(':',PD.SUPPOSEDWORKHOURS,0)+1,LEN(PD.SUPPOSEDWORKHOURS))
	END AS TOTSUPWORKHRS,
	CASE WHEN OVERTIMESTATUS IS NULL THEN '-' 
		 ELSE OVERTIMESTATUS 
	END,
	NIGHTORMORN,
	'00:00',
	'00:00',
	INNOTATION,
	OUTNOTATION,
	PD.BREAKHOURS,
	LUNCHHOURS,
	BREAKHOURSMINS,
	LUNCHHOURSMINS,
	SHIFT_STARTTIME,
	SHIFT_ENDTIME,
	CATEGORYNAME,
	WEEKDAY_WORKHRS,
	DATEPART(WEEK,DATE),
	FNATTENDANCECODE,
	ANATTENDANCECODE,
	CASE WHEN FNATTENDANCECODE=ANATTENDANCECODE THEN
			CASE	WHEN ANATTENDANCECODE in('Present','Absent','Weekly Off','Holiday') then substring(ANATTENDANCECODE,1,1)
					ELSE ANATTENDANCECODE
			END
		 ELSE 
			CASE	WHEN FNATTENDANCECODE in('Present','Absent','Weekly Off','Holiday') then substring(FNATTENDANCECODE,1,1)
					ELSE FNATTENDANCECODE
			END
			+'/'+
			CASE	WHEN ANATTENDANCECODE in('Present','Absent','Weekly Off','Holiday') then substring(ANATTENDANCECODE,1,1)
					ELSE ANATTENDANCECODE
			END
		END,
	CASE WHEN ISNULL(SPEC_NormOT1,'00:00')='00:00'	THEN '00:00' 
		 ELSE	CASE	WHEN OVERTIMESTATUS!='Approved' then CAST(Modified_Spec_NormOTHrs1 AS VARCHAR(50))
						ELSE CAST(SPEC_NormOT1 AS VARCHAR(50)) 
				END
		 END,	
	CASE WHEN ISNULL(SPEC_NormOT2,'00:00')='00:00'	THEN '00:00' 
		 ELSE	CASE	WHEN OVERTIMESTATUS!='Approved' then CAST(Modified_Spec_NormOTHrs2 AS VARCHAR(50))
						ELSE CAST(SPEC_NormOT2 AS VARCHAR(50)) 
				END
		 END,
	CASE WHEN ISNULL(SPEC_OffOT1,'00:00')='00:00'	THEN '00:00' 
		 ELSE	CASE	WHEN OVERTIMESTATUS!='Approved' then CAST(Modified_Spec_OffOTHrs1 AS VARCHAR(50))
						ELSE CAST(SPEC_OffOT1 AS VARCHAR(50)) 
				END
		 END,
	CASE WHEN ISNULL(SPEC_OffOT2,'00:00')='00:00'	THEN '00:00' 
		 ELSE	CASE	WHEN OVERTIMESTATUS!='Approved' then CAST(Modified_Spec_OffOTHrs2 AS VARCHAR(50))
						ELSE CAST(SPEC_OffOT2 AS VARCHAR(50)) 
				END
		 END,
	CASE WHEN ISNULL(SPEC_HOLOT1,'00:00')='00:00'	THEN '00:00' 
		 ELSE	CASE	WHEN OVERTIMESTATUS!='Approved' then CAST(Modified_Spec_HolOTHrs1 AS VARCHAR(50))
						ELSE CAST(SPEC_HOLOT1 AS VARCHAR(50)) 
				END
		 END,
	CASE WHEN ISNULL(SPEC_HOLOT2,'00:00')='00:00'	THEN '00:00' 
		 ELSE	CASE	WHEN OVERTIMESTATUS!='Approved' then CAST(Modified_Spec_HolOTHrs2 AS VARCHAR(50))
						ELSE CAST(SPEC_HOLOT2 AS VARCHAR(50)) 
				END
		 END,
	InLocation,
	OutLocation,
	InLatitude ,
	InLongitude ,
	OutLatitude ,
	OutLongitude,Format(PD.DATE,'dddd') ,PD.OD_Time,PD.Tot_OD_Mins,PD.EmpLevelID,PD.ReaminingBufferHours,E.Reporting_To,E.Leave_Sanc_Authority
	FROM TA_TBL_EMPLOYEE E  
	INNER JOIN #TEMPPROCESSEDDATA PD ON E.EMPLOYEE_ID=PD.EMPAUTOID 
	INNER JOIN #EMPLEVEL ON #EMPLEVEL.EMPLOYEEID = E.EMPLOYEE_ID  
	INNER JOIN TA_TBL_LEVELDETAILS ON #EMPLEVEL.LEVELID = TA_TBL_LEVELDETAILS.ID 
	INNER JOIN #EMPDESIGNATION EDESIG ON EDESIG.EMPLOYEEID = E.EMPLOYEE_ID  
	INNER JOIN TA_TBL_TITLE T ON EDESIG.DESIGNATIONID = T.TITLEID 
	INNER JOIN TA_TBL_GRADE ON TA_TBL_GRADE.GRADE_ID = T.GRADEID 
	LEFT JOIN TA_TBL_SHIFT SHF ON PD.PREVSHIFT_ID = SHF.SHIFT_ID 
	INNER JOIN #EMPTYPE ON #EMPTYPE.EMPLOYEEID = E.EMPLOYEE_ID  
	INNER JOIN #EMPCATEGORY ON #EMPCATEGORY.EMPLOYEEID = E.EMPLOYEE_ID  
	INNER JOIN TA_TBL_CATEGORY CAT ON #EMPCATEGORY.CATEGORYID = CAT.CATEGORYID  
	Left JOIN #EMPPROCESSEDDATA ON #EMPPROCESSEDDATA.PROCESSDATE=PD.DATE AND #EMPPROCESSEDDATA.SWIPECARDNO=PD.EMPLOYEE_CODE_ID
	WHERE E.ISDELETED=0 AND E.REPORT_EXCLUDE=0 AND
	((E.EMPLOYEE_STATUS=1) OR (E.EMPLOYEE_STATUS=0 AND CONVERT(NVARCHAR(11),E.INACTIVEDATE,102)>=CONVERT(NVARCHAR(11),PD.DATE,102)))
	and (@USERGROUPNAME='Superadmin' or TA_TBL_GRADE.GRADE_LEVEL>=@local_GRADELEVEL)
	and (isnull(@local_MINWORKHOURS,'')='' or dbo.ConvertHoursToMinites(isnull(HRSWORK,'00:00'))>=@TOTALMIN)
	
	DECLARE @DATEFORMAT AS INT
	DECLARE @TIMEFORMAT AS NVARCHAR(10)
	SELECT @DATEFORMAT=DATEFORMAT,@TIMEFORMAT=TIMEFORMAT FROM [DBO].[FUNC_TA_GETDATETIMEFORMAT]()

	SELECT Employee_Code_Id,CONVERT(VARCHAR(10), h.Holiday_FromDate, 120) as Holiday_FromDate,CONVERT(VARCHAR(10), h.Holiday_ToDate, 120) as Holiday_ToDate,
CONVERT(VARCHAR(10), p.Date , 120)as Date,p.Attendance,h.Holiday_Description into #TempHoliday
FROM TA_Tbl_ProcessedData p 
JOIN TA_Tbl_Holiday h ON p.Date BETWEEN h.Holiday_FromDate AND h.Holiday_ToDate 
where p.Date between @FROMDAT and @TODAT


Select Employee_Code_Id,CONVERT(VARCHAR(10), Date , 120)as Date,Attendance,LeaveDescription,LeaveType into #TempLeaveType from TA_Tbl_ProcessedData  
inner Join TA_Tbl_LeaveType on TA_Tbl_LeaveType.LeaveType = TA_Tbl_ProcessedData.Attendance
where Date between @FROMDAT and @TODAT

--Select * From TA_Tbl_Type

	IF(@EXPORT=0)
	BEGIN

	--Select * From #TEMPMONTHLYATTENDANCE


		SELECT	distinct TA_Tbl_Type.TypeName As EmpType,
		T.EMPLOYEE_ID,
		EMPNAME,
		Level1Name,Level1Details,Level2Name,Level2Details,Level3Name,Level3Details,Level4Name,Level4Details,Level5Name,Level5Details,
		--Case when  [dbo].[Fn_TA_EmployeeName] ('7') As LineManager,
		Case when LeaveSanction!=0 and ReportingTo!=0 and LeaveSanction=ReportingTo then [dbo].[Fn_TA_EmployeeName](LeaveSanction) Else null End As LineManager,
		--CASE	WHEN CAST(@DATEFORMAT AS VARCHAR(100))=106 THEN
		--				REPLACE(CONVERT(VARCHAR, t.DATE,@DATEFORMAT),' ','-') 
		--		ELSE CONVERT(VARCHAR, t.DATE, @DATEFORMAT) END AS DATE,
		--CASE WHEN SHIFT_SHORTNAME='WEEKLY OFF' THEN 'OFF' ELSE T.SHIFT_SHORTNAME END SHIFT_SHORTNAME,
		Case when Day_Name='Friday' then 'Friday ('+ CONVERT(VARCHAR(5), CAST(SHIFT_STARTTIME AS DATETIME), 108)+'-'+CONVERT(VARCHAR(5), CAST(SHIFT_ENDTIME AS DATETIME), 108)+')' Else 'Normal ('+CONVERT(VARCHAR(5), CAST(SHIFT_STARTTIME AS DATETIME), 108)+'-'+CONVERT(VARCHAR(5), CAST(SHIFT_ENDTIME AS DATETIME), 108)+')'End As Schedule,
		Day_Name,
		--DATE,
		CONVERT(NVARCHAR(11),DATE,101) as DATE,
		Case  when t.ATTENDANCE = 'Holiday' then (Select Holiday_Description from TA_Tbl_Holiday where t.DATE between  Holiday_FromDate and Holiday_ToDate) else 
		case when t.ATTENDANCE =(Select top 1 LeaveType from TA_Tbl_LeaveType where LeaveType = t.ATTENDANCE ) 
		then (Select top 1 LeaveDescription from TA_Tbl_LeaveType where LeaveType = t.ATTENDANCE)
		 else t.ATTENDANCE end end    as ATTENDANCE,
		STATUS,
		INTIME,
		OUTTIME,		
		LATEIN,
		EARLYOUT,
		HRSWORK,
		Case when T.SHIFT_TOTALWORKINGHOURS='-'then '00:00' Else T.SHIFT_TOTALWORKINGHOURS End As Req_Hours,
		Case when STATUS like '%Pending%' or STATUS like '%Absent%' then T.SHIFT_TOTALWORKINGHOURS Else '' End As MissedHours,
		[dbo].[CalculateExtraWorkHrs](isnull(Case when T.SHIFT_TOTALWORKINGHOURS='-'then '00:00' Else T.SHIFT_TOTALWORKINGHOURS End,'00:00'),isnull(HRSWORK,'00:00')) As ExtraHours,
		[dbo].[ExtraHrsCalculationMinites](Case when T.SHIFT_TOTALWORKINGHOURS='-'then '00:00' Else T.SHIFT_TOTALWORKINGHOURS End,HRSWORK) As ExtraWrkMins,
		RemainingBufferHour As  BufferBalance,
		NORMOT,
		SPEC_NormOT1,
		SPEC_NormOT2,		
		OFFOT,
		SPEC_OffOT1,
		SPEC_OffOT2,		
		HOLOT,
		SPEC_HOLOT1,
		SPEC_HOLOT2,
		SUPPOSEDWORKHOURS,		
		FIRSTSESSION,
		SECONDSESSION,		
		CONVERT(INT,ISNULL(TOTALMINSWORKED,'0'))TOTALMINSWORKED,
		StatusCode,
		EARLYOUT,
		LATEIN,
		OVERTIME,
		--NORMOTMIN as ABC,
		OFFOTMIN,
		HOLOTMIN,
		NORMOT,
		OFFOT,
		HOLOT,
		LATEINMIN,
		EARLYOUTMIN,
		TOTDEFWORKHRS,
		TOTSUPWORKHRS,
		OVERTIMESTATUS,
		NIGHTORMORN,
		LUNCHINTIME,
		LUNCHOUTTIME
		,INNOTATION,
		OUTNOTATION
		,BREAKHOURS,
		LUNCHHOURS ,
		BREAKHOURSMINS,
		LUNCHHOURSMINS,
		SHIFT_STARTTIME,
		SHIFT_ENDTIME,
		WEEKDAY_WORKHRS,
		WEEKNUMBER ,
		FNATTENDANCECODE,
		ANATTENDANCECODE,
		DESIGNATION,
		BRANCHNAME,
		t.DATE processDate,DATEPART(D,t.DATE) as processDay,left(datename(MONTH,t.DATE),3) as processMonth
		,'' as Intime1,
		'' as OutTime1,		 
		'' as Intime2,
		'' as OutTime2,
		'' as Intime3,
		'' as OutTime3,
		'' as Intime4,
		'' as OutTime4,
		'' as Intime5,
		'' as OutTime5,
		Convert(int, Case when STATUS like '%Pending%' or STATUS like '%Absent%' then [dbo].[ConvertHoursToMinites](CAST(T.SHIFT_TOTALWORKINGHOURS As Time)) Else '' End) as NORMOTMIN ,
		''as AcutalWorkedHours,
		MonthNo=CONVERT(varchar(20),datepart(MONTH,t.DATE))+ ' : ' +left(datename(MONTH,t.DATE),15)

		--Case  when t.ATTENDANCE = 'Holiday' then H.Holiday_Description else 
		--case when t.ATTENDANCE =(Select top 1 LeaveType from TA_Tbl_LeaveType where LeaveType = t.ATTENDANCE ) 
		--then (Select top 1 LeaveDescription from #TempLeaveType where LeaveType = t.ATTENDANCE)
		-- else t.ATTENDANCE end end    as ATTENDANCE,

		--Case  when t.ATTENDANCE = 'Holiday' then #TempHoliday.Holiday_Description else 
		--case when t.ATTENDANCE =(Select LeaveType from TA_Tbl_LeaveType where LeaveType = t.ATTENDANCE ) 
		--then (Select LeaveDescription from #TempLeaveType where LeaveType = t.ATTENDANCE)
		-- else t.ATTENDANCE end end    as ATTENDANCE,

		--CASE 
  --      WHEN t.ATTENDANCE = 'Holiday' THEN #TempHoliday.Holiday_Description
  --      WHEN (Select distinct LeaveType from TA_Tbl_LeaveType where LeaveType = t.ATTENDANCE ) is not null 
		--THEN (Select distinct LeaveDescription from TA_Tbl_LeaveType where LeaveType = t.ATTENDANCE )
  --      ELSE t.ATTENDANCE
  --  END AS ATTENDANCE,


		
		--Day_Name,OD_Hours,Tot_OD_Mins,EmpLevelID,--dbo.Func_TA_GetOrganizationNamedetails(EmpLevelID) As EmployeeLevelDetails,
		--RemainingBufferHour 
		
		FROM #TEMPMONTHLYATTENDANCE T Inner join #Emptest ET on T.EMPLOYEE_ID=ET.EmployeeId 
		inner Join #EMPTYPE EType on EType.Employee_Code_Id =T.EMPLOYEE_ID
		inner Join TA_Tbl_Type on TA_Tbl_Type.TypeId=EType.TYPEID
		--inner Join TA_Tbl_Shift on TA_Tbl_Shift.Shift_Id =
		--left join #TempHoliday H on  T.DATE = H.Date 
		--left join #TempHoliday on  T.DATE = #TempHoliday.Date 
		--left Join #TempLeaveType on  T.DATE =#TempLeaveType.Date 
		--group by T.EMPLOYEE_ID,EMPNAME
		ORDER BY EMPLOYEE_ID,CONVERT(datetime,t.date)

		--processDate added in order clause by mahendren.S
		--Reason: reports showing incorrectly in cross month taking
	END



	drop table #TempLeaveType
	drop table #TempHoliday
	DROP TABLE #EMPLEVEL  
	DROP TABLE #EMPDESIGNATION  
	DROP TABLE #EMPTYPE  
	DROP TABLE #EMPCATEGORY  
	DROP TABLE #EMPPROCESSEDDATA  
	DROP TABLE #LEVELRIGHTS  
	DROP TABLE #TEMPPROCESSEDDATA  
	drop table #Onduty
	DROP TABLE #TEMPEMPLOYEE  
	DROP TABLE #TEMPMONTHLYATTENDANCE
	drop table #EMPLOYEEIDS
	drop table #EMPLOYEEID
	drop table #Emptest
	drop table #EMPLOYEENAME
END
