<%@ page language="C#" autoeventwireup="true" inherits="TA_UI_Database_Configuration, App_Web_1qmlo1ia" %>

<%--<%@ Register Src="TA_uc_Header.ascx" TagName="TA_uc_Header" TagPrefix="uc1" %>
<%@ Register Src="TA_uc_FooterForgotPwd.ascx" TagName="TA_uc_Footer" TagPrefix="uc3" %>--%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>TimeCheck</title>
    <link rel="shortcut icon" href="../Images/favicon.ico" type="image/x-icon" />
    <link rel="icon" href="../Images/favicon.ico" type="image/x-icon" />
    <meta charset="utf-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no"
        name="viewport" />
    <link rel="stylesheet" href="bootstrap/css/bootstrap.min.css" />
    <link href="bootstrap/font-awesome/css/font-awesome.css" rel="stylesheet" type="text/css" />
    <link href="bootstrap/font-awesome/css/build.css" rel="stylesheet" type="text/css" />
    <link rel="stylesheet" href="plugins/jvectormap/jquery-jvectormap-1.2.2.css" />
    <!-- Theme style -->
    <link rel="stylesheet" href="dist/css/AdminLTE.min.css" />
    <!-- AdminLTE Skins. Choose a skin from the css/skins
         folder instead of downloading all of them to reduce the load. -->
    <link href="dist/css/_all-skins.min.css" rel="stylesheet" type="text/css" />
    <link href="dist/css/custom.css" rel="stylesheet" type="text/css" />
    <link href="dist/css/fonts.css" rel="stylesheet" type="text/css" />
    <%--<link rel="stylesheet" href="../plugins/iCheck/flat/blue.css" type="text/css" />--%>
    <link rel="stylesheet" href="plugins/datepicker/datepicker3.css" type="text/css" />
    <link rel="stylesheet" href="plugins/daterangepicker/daterangepicker-bs3.css" type="text/css" />
    <link href="dist/css/animate.css" rel="stylesheet" type="text/css" />

    <script language="javascript" src="js/maxLength.js" type="text/javascript"></script>

    <script language="javascript" src="js/lockkeys.js" type="text/javascript"></script>

</head>
<body oncontextmenu="return false" class="hold-transition skin-blue sidebar-mini">
    <header class="main-header">
        <!-- Logo -->
        <a href="http://www.timechecksoftware.com" class="logo" target="_blank">
            <span class="logo-mini" style="margin-top: 5px">
                <img src="<%= ResolveClientUrl( "~/dist/img/logo-mini.jpg" ) %>" />
            </span>
            <span class="logo-lg" style="margin-top: 5px">
                <img src="<%= ResolveClientUrl( "~/dist/img/logo.jpg" ) %>"></span>
        </a>
        <nav class="navbar navbar-static-top" role="navigation">
            <div class="navbar-custom-menu">
                <ul class="nav navbar-nav">
                    <li class="alr-logo">
                        <img id="IMG2" runat="server" style="width: 120px; height: 45px;" /></li>
                </ul>
            </div>
        </nav>
    </header>
    <form id="form1" runat="server">
        <div class="content-header">
            <asp:Label ID="lbl_Header" runat="server" Text="Database Configuration"></asp:Label>
        </div>
        <div class="content" style="padding: 2% 10% 2% 10%">
            <div class="inr-ftr">
                <div class="row">
                    <div class="col-sm-12">
                        <div class="pull-right">
                            <h6>
                                <asp:Label ID="lblError" runat="server" ForeColor="red" Visible="false"></asp:Label>
                                <span style="color: Red">|</span><span style="padding-left: 10px; padding-right: 10px"><asp:Label
                                    ID="lbl_IndicatesMandatoryFields" runat="server" Text="Mandatory"></asp:Label>
                                    (5 No.)</span>
                            </h6>
                        </div>
                    </div>
                    <div class="clearfix">
                    </div>
                </div>
            </div>
            <div class="emp-filter">
                <div class="form-horizontal">
                    <div class="row">
                        <div class="col-md-12">
                            <div class="row form-group">
                                <div class="col-md-2">
                                    <asp:Label ID="lblServerName" runat="server" Text="Server Name"></asp:Label>
                                </div>
                                <div class="col-md-3">
                                    <asp:TextBox onpaste="return true" ID="txtServerName" runat="server" MaxLength="50" CssClass="form-control man-dat"></asp:TextBox>
                                    <asp:RequiredFieldValidator ID="rfvServerName" runat="server" ControlToValidate="txtServerName"
                                        Display="None" ErrorMessage="Enter Server Name" SetFocusOnError="true">*</asp:RequiredFieldValidator>
                                </div>
                                <div class="col-md-1">
                                </div>
                                <div class="col-md-2">
                                    <asp:Label ID="lblDatabaseName" runat="server" Text="Database Name"></asp:Label>
                                </div>
                                <div class="col-md-3">
                                    <asp:TextBox onpaste="return true" ID="txtDatabaseName" runat="server" MaxLength="50" CssClass="form-control man-dat"></asp:TextBox>
                                    <asp:RequiredFieldValidator ID="rfvDataBaseName" runat="server" ControlToValidate="txtDatabaseName"
                                        Display="None" ErrorMessage="Enter Database Name" SetFocusOnError="True">*</asp:RequiredFieldValidator>
                                </div>
                            </div>
                            <div class="row form-group">
                                <div class="col-md-2">
                                    <asp:Label ID="lblDBUserName" runat="server" Text="Database User Name"></asp:Label>
                                </div>
                                <div class="col-md-3">
                                    <asp:TextBox onpaste="return true" ID="txtDBUserName" runat="server" MaxLength="50" CssClass="form-control man-dat"></asp:TextBox>
                                    <asp:RequiredFieldValidator ID="rfvDBUserName" runat="server" ControlToValidate="txtDBUserName"
                                        Display="None" ErrorMessage="Enter Database User Name" SetFocusOnError="true">*</asp:RequiredFieldValidator>
                                </div>
                                <div class="col-md-1">
                                </div>
                                <div class="col-md-2">
                                    <asp:Label ID="lblDBPassword" runat="server" Text="Database Password"></asp:Label>
                                </div>
                                <div class="col-md-3">
                                    <asp:TextBox onpaste="return true" ID="txtDBPassword" runat="server" MaxLength="50" CssClass="form-control"
                                        TextMode="Password"></asp:TextBox>
                                </div>
                            </div>
                            <div class="row form-group">
                                <div class="col-md-2">
                                    <asp:Label ID="lblTCUserName" runat="server" Text="Timecheck User Name"></asp:Label>
                                </div>
                                <div class="col-md-3">
                                    <asp:TextBox onpaste="return true" ID="txtTCUserName" runat="server" MaxLength="50" CssClass="form-control man-dat"></asp:TextBox>
                                    <asp:RequiredFieldValidator ID="rfvTCUserName" runat="server" ControlToValidate="txtTCUserName"
                                        Display="None" ErrorMessage="Enter Timecheck User Name" SetFocusOnError="True">*</asp:RequiredFieldValidator>
                                </div>
                                <div class="col-md-1">
                                </div>
                                <div class="col-md-2">
                                    <asp:Label ID="lblTCPassword" runat="server" Text="Timecheck Password"></asp:Label>
                                </div>
                                <div class="col-md-3">
                                    <asp:TextBox onpaste="return true" ID="txtTCPassword" runat="server" MaxLength="50"
                                        TextMode="Password" CssClass="form-control man-dat"></asp:TextBox>
                                    <asp:RequiredFieldValidator ID="rfvTCPassword" runat="server" ControlToValidate="txtTCPassword"
                                        Display="None" ErrorMessage="Enter Timecheck Password" SetFocusOnError="true">*</asp:RequiredFieldValidator>
                                </div>
                            </div>
                            <div class="row form-group">
                                <div class="col-md-5">
                                    <asp:ValidationSummary ID="valSummary" runat="server" ShowMessageBox="True" ShowSummary="False" />
                                </div>
                                <div class="col-md-6">
                                    <div class="pull-right-button">
                                        <asp:LinkButton ID="btnSave" CssClass="btn save-btn fa-floppy-o" runat="server" Text="&nbsp;&nbsp;Save" OnClick="btnSave_Click" />
                                        <asp:LinkButton ID="btnBack" CssClass="btn save-btn fa-angle-left" runat="server" Text="&nbsp;&nbsp;Back" CausesValidation="false"
                                            OnClick="btnBack_Click" />
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </form>
</body>
</html>
